Dancer2::Logger::Note(3pm)

NAME
Dancer2::Logger::Note - Test::More note() logging engine for Dancer2

VERSION
version 2.1.0

DESCRIPTION
This logging engine uses Test::More's note() to output as TAP comments.

This is very useful in case you're writing a test and want to have logging messages as part of your TAP.

"Like diag(), except the message will not be seen when the test is run in a harness. It will only be visible in the verbose TAP stream." -- Test::More.

METHODS

  log
Use Test::More's note() to output the log message.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.